<?php
/**
 * Plugin Name:       AploBlocks
 * Description:       Extra design features for the block editor.  Animate, transform, move, mask & filter blocks with no coding necessary!
 * Requires at least: 6.1
 * Requires PHP:      7.4
 * Version:           0.8.6
 * Author:            AploWeb
 * Author URI:        https://www.aploweb.com
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       aploblocks
 *
 */

define("APLOBLOCKS_PLUGIN_VERSION","0.8.6");

/**
 * Enqueue frontend assets.
 *
 * @return void
 */
function aploblocks_styles() {

    // Register block-styles
    wp_register_style(
        'aploblocks-block-styles',
        plugin_dir_url(__FILE__) . '/assets/css/block-styles.css',
        array(),
        APLOBLOCKS_PLUGIN_VERSION
    );

    // Enqueue block styles
    wp_enqueue_style( 'aploblocks-block-styles' );	

    // Enqueue site.js for entrance anaimations
    wp_enqueue_script(
        'aploblocks-js',
        plugin_dir_url(__FILE__) . '/assets/js/site.js',
        array(),
        APLOBLOCKS_PLUGIN_VERSION 
    );


}

/**
 * Enqueue editor assets.
 *
 * @return void
 */
function aploblocks_editor_support() {

    wp_enqueue_script(
        'aploblocks-filters',
        plugin_dir_url(__FILE__) . '/assets/js/index.js',
        ['wp-blocks','wp-i18n','wp-element','wp-editor'],
        APLOBLOCKS_PLUGIN_VERSION
    );

    wp_localize_script( 
        'aploblocks-filters', 
        'aploblocksplugindirurl', 
        plugin_dir_url(__FILE__) 
    );

    wp_enqueue_script(
        'aploblocks-site',
        plugin_dir_url(__FILE__) . '/assets/js/site.js',
        ['wp-blocks','wp-i18n','wp-element','wp-editor'],
        APLOBLOCKS_PLUGIN_VERSION
    );

    wp_enqueue_style( 
        'aploblocks-extensions-css', 
        plugin_dir_url(__FILE__) . '/assets/css/editor.css',
        array(),
        APLOBLOCKS_PLUGIN_VERSION 
    );

    wp_enqueue_style( 
        'aploblocks-block-styles-css', 
        plugin_dir_url(__FILE__) . '/assets/css/block-styles.css'
        ,array(),APLOBLOCKS_PLUGIN_VERSION 
    );

}


add_action( 'wp_enqueue_scripts', 'aploblocks_styles' );
add_action('enqueue_block_editor_assets', 'aploblocks_editor_support');